import '@/assets/css/style.css'
import '@/assets/fontawesome/css/fontawesome.css'
import '@/assets/fontawesome/css/brands.css'
import '@/assets/fontawesome/css/solid.css'

import SBButton from './components/SBButton.vue'

const Components = {
  SBButton,
}

// Declare install function executed by app.use()
const install = function (app) {
  if (install.installed) return
  install.installed = true

  // Register components globally
  Object.keys(Components).forEach((name) => {
    app.component(name, Components[name])
  })
}

// Create module definition for Vue.use()
const plugin = {
  install,
}

// Auto-install when Vue is found (e.g., in browser via <script> tag)
let GlobalVue = null
if (typeof window !== 'undefined') {
  GlobalVue = window.Vue
} else if (typeof global !== 'undefined') {
  GlobalVue = global.Vue
}

if (GlobalVue) {
  GlobalVue.use(plugin)
}

// To allow use as module (npm/webpack/etc.) export components
export { SBButton }

export default {
  install,
}
